import { Option } from "./option";
import { Column } from "./column";
import { Base } from "../common/base";
export declare class Table<T> extends Base {
    /**
     * Private Variables
     */
    private _options;
    private _items;
    private _columns;
    /**
     * options
     * @returns {any}
     */
    /**
     * options
     * @param Option
     */
    options: Option;
    /**
     * items
     * @returns {Array<Name>}
     */
    /**
     * items
     * @param items
     */
    items: Array<T>;
    /**
     * items
     * @returns {Array<Item>}
     */
    /**
     * columns
     * @param columns
     */
    columns: Array<Column>;
    /**
     * Render()
     */
    private render();
    /**
     * compare()
     * @param a
     * @param b
     * @param prop
     * @returns {number}
     */
    private compare(a, b, prop);
    /**
     * constructor()
     */
    constructor();
    constructor(options: Option);
    constructor(options: Option, columns: Array<Column>);
}
