export declare function isNull(o: any): boolean;
export declare function isObject(o: any): boolean;
export declare function isEmpty(o: any): boolean;
export declare function isDefined(o: any): boolean;
export declare function isUndefined(o: any): boolean;
export declare function isNullOrUndefined(o: any): boolean;
export declare function isFunction(f: any): boolean;
export declare function isArray(o: any): boolean;
export declare function isString(o: any): boolean;
export declare function isStringWithLength(o: any): boolean;
export declare function isArrayWithLength(o: any): boolean;
export declare function isDate(o: any): boolean;
export declare function isNumeric(o: any): boolean;
export declare function isNumber(value: any): boolean;
export declare function isDecimal(value: number): boolean;
export declare function isTrue(o: any): boolean;
export declare function isFalse(o: any): boolean;
export declare function isBoolean(o: any): boolean;
export declare function formatString(value: any, optValueArgs: any): any;
export declare function isEmail(o: any): boolean;
export declare function camelCase(o: any): any;
export declare function append(obj: any, char: any): any;
export declare function remove(obj: any, char: any): any;
export declare function hasOwnProperty(o: any, prop: any): boolean;
export declare function init(obj: any, prop: any, value?: any): any;
export declare function calculate(): {
    age: (dob: any) => number;
};
export declare function key(): {
    isNumber: (which: any) => boolean;
    isNavigation: (which: any) => boolean;
    isNotNumber: (which: any) => boolean;
    isControlChar: (which: any) => boolean;
    isNotControlChar: (which: any) => boolean;
    alpha: (value: any) => true | RegExpMatchArray;
    isAlphaNumeric: (value: any) => true | RegExpMatchArray;
};
export declare function pluck(): {
    phoneNumber: (value: any) => any;
    decimals: (value: any) => any;
    cardinal: (value: any) => any;
    number: (value: any) => any;
};
export declare function find(): {
    indicies: (o: string, regexp?: string) => number[];
};
export declare function convert(): {
    toIntegerArray: (o: string, regexp?: string) => any;
};
declare var _default: {
    append: (obj: any, char: any) => any;
    calculate: () => {
        age: (dob: any) => number;
    };
    camelCase: (o: any) => any;
    convert: () => {
        toIntegerArray: (o: string, regexp?: string) => any;
    };
    find: () => {
        indicies: (o: string, regexp?: string) => number[];
    };
    formatString: (value: any, optValueArgs: any) => any;
    hasOwnProperty: (o: any, prop: any) => boolean;
    init: (obj: any, prop: any, value?: any) => any;
    isArray: (o: any) => boolean;
    isArrayWithLength: (o: any) => boolean;
    isBoolean: (o: any) => boolean;
    isDate: (o: any) => boolean;
    isDefined: (o: any) => boolean;
    isDecimal: (value: number) => boolean;
    isEmail: (o: any) => boolean;
    isEmpty: (o: any) => boolean;
    isFalse: (o: any) => boolean;
    isFunction: (f: any) => boolean;
    isNull: (o: any) => boolean;
    isNullOrUndefined: (o: any) => boolean;
    isNumber: (value: any) => boolean;
    isNumeric: (o: any) => boolean;
    isObject: (o: any) => boolean;
    isString: (o: any) => boolean;
    isStringWithLength: (o: any) => boolean;
    isTrue: (o: any) => boolean;
    isUndefined: (o: any) => boolean;
    key: () => {
        isNumber: (which: any) => boolean;
        isNavigation: (which: any) => boolean;
        isNotNumber: (which: any) => boolean;
        isControlChar: (which: any) => boolean;
        isNotControlChar: (which: any) => boolean;
        alpha: (value: any) => true | RegExpMatchArray;
        isAlphaNumeric: (value: any) => true | RegExpMatchArray;
    };
    pluck: () => {
        phoneNumber: (value: any) => any;
        decimals: (value: any) => any;
        cardinal: (value: any) => any;
        number: (value: any) => any;
    };
    remove: (obj: any, char: any) => any;
};
export default _default;
